# Class UnknownError

java.lang.Object
java.lang.Throwable
java.lang.Error
java.lang.VirtualMachineError
java.lang.UnknownError

All Implemented Interfaces:
  `Serializable`

public class UnknownError extends VirtualMachineError
Thrown when an unknown but serious exception has occurred in the Java Virtual Machine.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnknownError()`
  Constructs an `UnknownError` with no detail message.
  `UnknownError(String s)`
  Constructs an `UnknownError` with the specified detail message.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnknownError

    public UnknownError()
    Constructs an `UnknownError` with no detail message.

  - ### UnknownError

    public UnknownError(String s)
    Constructs an `UnknownError` with the specified detail message.
    Parameters:
      `s` - the detail message.